List all vendors
curl --request GET \
--url https://data-api.compute-index.com/v1/vendors \
--header 'Authorization: Bearer <token>'import requests
url = "https://data-api.compute-index.com/v1/vendors"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://data-api.compute-index.com/v1/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"active_data_collection": true,
"contract_terms": [],
"contract_types": [
"ondemand"
],
"data_date_range": "2025-10-16 to 2026-07-15",
"gpu_models": [
"A100 SXM4",
"GTX 1050",
"GTX 1070 Ti",
"H100 SXM5",
"H200",
"Quadro RTX 6000",
"RTX 3060",
"RTX 3090",
"RTX 4090",
"RTX 5090",
"RTX PRO 6000 SE",
"T4"
],
"open_record_count": 17,
"regions": [
"global"
],
"total_record_count": 33662,
"vendor": "akash"
},
{
"active_data_collection": true,
"contract_terms": [
"1y",
"3y"
],
"contract_types": [
"ondemand",
"reserved"
],
"data_date_range": "2016-08-31 to 2026-07-15",
"gpu_models": [
"A100",
"A10G",
"B200",
"B300",
"Cloud AI 100",
"Gaudi HL-205",
"H100",
"H200",
"Inferentia v1",
"Inferentia v2",
"K520",
"K80",
"L4",
"L40S",
"M60",
"Radeon Pro V520",
"RTX PRO 4500",
"RTX PRO 6000",
"T4",
"T4G",
"Trainium v1",
"V100"
],
"open_record_count": 175298,
"regions": [
"af-south-1",
"ap-east-1",
"ap-northeast-1",
"ap-northeast-2",
"ap-northeast-3",
"ap-south-1",
"ap-south-2",
"ap-southeast-1",
"ap-southeast-2",
"ap-southeast-3",
"ap-southeast-5",
"ca-central-1",
"eu-central-1",
"eu-central-2",
"eu-north-1",
"eu-south-1",
"eu-south-2",
"eu-west-1",
"eu-west-2",
"eu-west-3",
"il-central-1",
"me-central-1",
"me-south-1",
"sa-east-1",
"us-east-1",
"us-east-2",
"us-gov-east-1",
"us-gov-west-1",
"us-west-1",
"us-west-2"
],
"total_record_count": 550140,
"vendor": "aws"
}
],
"total_count": 51
}Metadata
Vendors
Get list of all GPU vendors with metadata (GPU models, regions, record counts)
GET
/
v1
/
vendors
List all vendors
Example
List every vendor covered by the API:curl -H "Authorization: Bearer $TOKEN" \
"https://data-api.compute-index.com/v1/vendors"